Skip to main content
GET
/
v1
/
projects
/
{project-id}
/
site_rate_schedules
Retrieve SiteRateSchedules for a Project
curl --request GET \
  --url https://api.tread-horizon.com/v1/projects/{project-id}/site_rate_schedules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "customer_rate_value": "<string>",
      "customer_rate_type": "RatePerHour",
      "vendor_rate_value": "<string>",
      "vendor_rate_type": "RatePerHour",
      "driver_rate_value": "<string>",
      "driver_rate_type": "RatePerHour",
      "auto_add_on_assignments_count": 123,
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "site": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "lat": "<string>",
        "lon": "<string>",
        "full_address": "<string>",
        "routable": true,
        "discarded_at": "2023-11-07T05:31:56Z",
        "address": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "thoroughfare": "<string>",
          "premise": "<string>",
          "locality": "<string>",
          "administrative_area": "<string>",
          "postal_code": "<string>",
          "country": "US",
          "lat": "<string>",
          "lon": "<string>",
          "place_id": "<string>"
        },
        "next_billion_geofence": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "geofence": {
            "name": "<string>",
            "type": "<string>",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "geojson": {
              "type": "<string>",
              "coordinates": [
                [
                  [
                    "<unknown>"
                  ]
                ]
              ]
            },
            "circle_center": {
              "lat": 123,
              "lon": 123
            },
            "circle_radius": 123,
            "tag": "pickup"
          },
          "moving_geofence": false,
          "tag": "scaling",
          "geofence_type": "moving"
        }
      },
      "customer_rate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "RatePerHour"
      },
      "vendor_rate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "RatePerHour"
      },
      "driver_rate": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "RatePerHour"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

project-id
string<uuid>
required

Project ID

Query Parameters

page[limit]
integer<int32>
default:25

The maximum number of paginated results to return

Required range: x <= 100
page[after]
string

The cursor to start paginating after

page[before]
string

The cursor to stop paginating at

filter[site_id]
string<uuid>

The associated Site ID

Response

OK

data
SiteRateSchedule-Read · object[]
required